summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDan Armak <danarmak@gentoo.org>2001-10-01 11:04:22 +0000
committerDan Armak <danarmak@gentoo.org>2001-10-01 11:04:22 +0000
commiteeaa105921a7f1d53ba72d958656f91e1d7ce61d (patch)
treea9b324d616e8659af477ae426d5ce90745a49e80
parentupdated to 0.10.3 (diff)
downloadhistorical-eeaa105921a7f1d53ba72d958656f91e1d7ce61d.tar.gz
historical-eeaa105921a7f1d53ba72d958656f91e1d7ce61d.tar.bz2
historical-eeaa105921a7f1d53ba72d958656f91e1d7ce61d.zip
eclasses v3. read the gentoo-dev announcement, and news.txt and howto.*
in doc/.
-rw-r--r--app-office/koffice/koffice-1.1.ebuild21
-rw-r--r--dev-util/kdevelop/kdevelop-2.0.1-r1.ebuild19
-rw-r--r--dev-util/objprelink/files/digest-objprelink-0-r22
-rw-r--r--eclass/base.eclass6
-rw-r--r--eclass/c.eclass4
-rw-r--r--eclass/doc/eclass-howto.lyx (renamed from eclass/eclass-howto.lyx)354
-rw-r--r--eclass/doc/eclass-howto.sgml (renamed from eclass/eclass-howto.sgml)90
-rw-r--r--eclass/doc/eclass-howto.txt (renamed from eclass/eclass-howto.txt)126
-rw-r--r--eclass/doc/news.txt44
-rw-r--r--eclass/doc/todo.txt14
-rw-r--r--eclass/kde-base.eclass84
-rw-r--r--eclass/kde-i18n.eclass43
-rw-r--r--eclass/kde.eclass33
-rw-r--r--eclass/notes.txt35
-rw-r--r--kde-base/kdeaddons/kdeaddons-2.2.1-r1.ebuild4
-rw-r--r--kde-base/kdeadmin/kdeadmin-2.2.1-r1.ebuild8
-rw-r--r--kde-base/kdeartwork/kdeartwork-2.2.1-r1.ebuild6
-rw-r--r--kde-base/kdebase/kdebase-2.2.1-r1.ebuild10
-rw-r--r--kde-base/kdebindings/kdebindings-2.2.1-r1.ebuild8
-rw-r--r--kde-base/kdegames/kdegames-2.2.1-r1.ebuild4
-rw-r--r--kde-base/kdegraphics/kdegraphics-2.2.1-r1.ebuild8
-rw-r--r--kde-base/kdelibs/kdelibs-2.2.1.ebuild4
-rw-r--r--kde-base/kdemultimedia/kdemultimedia-2.2.1-r1.ebuild8
-rw-r--r--kde-base/kdenetwork/kdenetwork-2.2.1-r1.ebuild4
-rw-r--r--kde-base/kdepim/kdepim-2.2.1-r1.ebuild6
-rw-r--r--kde-base/kdesdk/kdesdk-2.2.1-r1.ebuild4
-rw-r--r--kde-base/kdetoys/kdetoys-2.2.1-r1.ebuild4
-rw-r--r--kde-base/kdeutils/kdeutils-2.2.1-r1.ebuild4
-rw-r--r--kde-base/kdoc/kdoc-2.2.1-r1.ebuild4
29 files changed, 443 insertions, 518 deletions
diff --git a/app-office/koffice/koffice-1.1.ebuild b/app-office/koffice/koffice-1.1.ebuild
index 642cd0214ffa..3d6d9bdf3acb 100644
--- a/app-office/koffice/koffice-1.1.ebuild
+++ b/app-office/koffice/koffice-1.1.ebuild
@@ -1,28 +1,25 @@
# Copyright 1999-2000 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# Author Dan Armak <danarmak@gentoo.org>
-# $Header: /var/cvsroot/gentoo-x86/app-office/koffice/koffice-1.1.ebuild,v 1.1 2001/09/29 18:37:30 danarmak Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-office/koffice/koffice-1.1.ebuild,v 1.2 2001/10/01 11:04:22 danarmak Exp $
. /usr/portage/eclass/inherit.eclass || die
-inherit kde || die
+inherit kde-base kde.org || die
DESCRIPTION="KDE ${PV} - KOffice"
-SRC_PATH="kde/stable/${P}/src/${P}.tar.bz2"
-SRC_URI="ftp://ftp.kde.org/pub/$SRC_PATH
- ftp://ftp.sourceforge.net/pub/mirrors/$SRC_PATH"
HOMEPAGE="http://www.koffice.org/"
DEPEND="$DEPEND
>=kde-base/kdelibs-2.2
- >=dev-lang/python-2.0-r4
- >=sys-devel/automake-1.4
- >=sys-devel/autoconf-1.13"
+ >=dev-lang/python-2.0-r4"
+# >=sys-devel/automake-1.4
+# >=sys-devel/autoconf-1.13"
+ # hm. This was in achim's original. are these versions superior to the ones we have by default in a current-day rc6?
RDEPEND="$RDEPEND
>=kde-base/kdelibs-2.2"
-
+echo DEPEND=$DEPEND > /1
+echo RDEPEND=$RDEPEND > /2
src_unpack() {
- base_src_unpack
- cd ${S}
- patch -p0 < ${FILESDIR}/${P}-gentoo.diff
+ base_src_unpack all patch
}
diff --git a/dev-util/kdevelop/kdevelop-2.0.1-r1.ebuild b/dev-util/kdevelop/kdevelop-2.0.1-r1.ebuild
index cc8ba992ec92..4d5617f93993 100644
--- a/dev-util/kdevelop/kdevelop-2.0.1-r1.ebuild
+++ b/dev-util/kdevelop/kdevelop-2.0.1-r1.ebuild
@@ -1,18 +1,12 @@
# Copyright 1999-2001 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# Author Bart Verwilst <bart.verwilst@pandora.be>
-# $Header: /var/cvsroot/gentoo-x86/dev-util/kdevelop/kdevelop-2.0.1-r1.ebuild,v 1.1 2001/09/29 15:05:41 danarmak Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-util/kdevelop/kdevelop-2.0.1-r1.ebuild,v 1.2 2001/10/01 11:04:22 danarmak Exp $
. /usr/portage/eclass/inherit.eclass || die
-inherit kde || die
+inherit kde-base kde.org || die
-DESCRIPTION="KDevelop 2.0.1"
-
-S=${WORKDIR}/${P}
-SRC_PATH="kde/stable/2.2.1/src/${P}.tar.bz2"
-SRC_URI="ftp://ftp.kde.org/pub/$SRC_PATH
- ftp://ftp.easynet.be/$SRC_PATH
- ftp://ftp.de.kde.org/pub/$SRC_PATH
- ftp://ftp.mirror.ac.uk/sites/ftp.kde.org/pub/$SRC_PATH"
+DESCRIPTION="KDevelop ${PV}"
+HOMEPAGE="www.kdevelop.org"
DEPEND="$DEPEND
>=kde-base/kdelibs-2.2
@@ -21,4 +15,7 @@ DEPEND="$DEPEND
>=kde-base/kdoc-2.2.1
>=dev-util/kdbg-1.2.1"
-RDEPEND="$RDEPEND >=kde-base/kdelibs-2.2"
+RDEPEND="$RDEPEND
+ >=kde-base/kdelibs-2.2
+ >=kde-base/kdoc-2.2.1
+ >=dev-util/kdbg-1.2.1"
diff --git a/dev-util/objprelink/files/digest-objprelink-0-r2 b/dev-util/objprelink/files/digest-objprelink-0-r2
new file mode 100644
index 000000000000..a80c13b65873
--- /dev/null
+++ b/dev-util/objprelink/files/digest-objprelink-0-r2
@@ -0,0 +1,2 @@
+MD5 67a29b76d24cb394aff9fd8a7f68f34e kde-admin-acinclude.patch
+MD5 53c4c235ec3da92e4a9fb50ffa54beeb objprelink.c.gz
diff --git a/eclass/base.eclass b/eclass/base.eclass
index 92368ae8bd03..8937f226a6ba 100644
--- a/eclass/base.eclass
+++ b/eclass/base.eclass
@@ -1,7 +1,7 @@
# Copyright 1999-2000 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# Author Dan Armak <danarmak@gentoo.org>
-# $Header: /var/cvsroot/gentoo-x86/eclass/base.eclass,v 1.4 2001/09/29 12:35:38 danarmak Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/base.eclass,v 1.5 2001/10/01 11:04:22 danarmak Exp $
# The base eclass defines some default functions and variables. Nearly everything
# else inherits from here.
. /usr/portage/eclass/inherit.eclass || die
@@ -23,6 +23,10 @@ base_src_unpack() {
echo "in base_src_unpack, action unpack"
unpack ${A}
;;
+ patch)
+ cd ${S}
+ patch -p0 < ${FILESDIR}/${P}-gentoo.diff
+ ;;
all)
echo "in base_src_unpack, action all"
base_src_unpack unpack
diff --git a/eclass/c.eclass b/eclass/c.eclass
index 7dba641eaebb..c7d5bc7b81ba 100644
--- a/eclass/c.eclass
+++ b/eclass/c.eclass
@@ -1,7 +1,7 @@
# Copyright 1999-2000 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# Author Dan Armak <danarmak@gentoo.org>
-# $Header: /var/cvsroot/gentoo-x86/eclass/c.eclass,v 1.4 2001/09/29 12:35:38 danarmak Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/c.eclass,v 1.5 2001/10/01 11:04:22 danarmak Exp $
# The "c" eclass merely adds gcc, glibc and ld.so to DEPEND/RDEPEND for comfort.
. /usr/portage/eclass/inherit.eclass || die
#inherit virtual || die
@@ -10,5 +10,5 @@ ECLASS=c
S=${WORKDIR}/${P}
DESCRIPTION="Based on the $ECLASS eclass"
DEPEND="${DEPEND} sys-devel/gcc virtual/glibc sys-devel/ld.so"
-RDEPEND="${RDEPEND} sys-devel/gcc virtual/glibc sys-devel/ld.so"
+RDEPEND="${RDEPEND} virtual/glibc sys-devel/ld.so"
diff --git a/eclass/eclass-howto.lyx b/eclass/doc/eclass-howto.lyx
index 5d17d6f35729..ff3f753533c6 100644
--- a/eclass/eclass-howto.lyx
+++ b/eclass/doc/eclass-howto.lyx
@@ -30,7 +30,7 @@ eclass howto
Dan Armak
\layout Date
-30/9/01
+Updated for eclasses v3
\layout Section
Introduction
@@ -51,6 +51,9 @@ The most similar group of ebuilds is the kde apps.
Many others will follow.
\layout Standard
+Please read news.txt for an astract of changes between versions of the eclasses.
+\layout Standard
+
Section two explains how eclasses work.Section three shows a sample inheriting
ebuild.
\layout Subsection
@@ -261,165 +264,53 @@ Here is the same function, divided into sections:
base_src_compile() {
\layout Code
-\SpecialChar ~
-
-\layout Code
-
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
- [ -z "$1" ] && base_src_compile all
-\layout Code
-
-\SpecialChar ~
-
-\layout Code
-
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
- while [ "$1" ]; do
-\layout Code
-
-\layout Code
-
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-case $1 in
-\layout Code
-
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
- configure)
-\layout Code
-
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-./configure || die;;
-\layout Code
-
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
- make)
-\layout Code
-
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-make || die;;
-\layout Code
-
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
- all)
-\layout Code
-
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-base_src_compile configure make;;
-\layout Code
-
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
-esac
-\layout Code
-
-\layout Code
-
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
- shift
-\layout Code
-
-\SpecialChar ~
-\SpecialChar ~
-\SpecialChar ~
- done
-\layout Code
-
-\SpecialChar ~
+
+\layout Code
+ [ -z "$1" ] && base_src_compile all
+\layout Code
+
+
+\layout Code
+
+ while [ "$1" ]; do
+\layout Code
+
+\layout Code
+
+ case $1 in
+\layout Code
+
+ configure)
+\layout Code
+
+ ./configure || die;;
+\layout Code
+
+ make)
+\layout Code
+
+ make || die;;
+\layout Code
+
+ all)
+\layout Code
+
+ base_src_compile configure make;;
+\layout Code
+
+ esac
+\layout Code
+
+\layout Code
+
+ shift
+\layout Code
+
+ done
+\layout Code
+
+
\layout Code
}
@@ -509,6 +400,24 @@ src_compile() {
The only way to know what functions contain what sections is to read the
eclasses.
+\layout Standard
+
+A final note: not all functions execute all their sections when called with
+
+\emph on
+all
+\emph default
+ or without parameters.
+ Some sections may be non-standrd and must be called explicitly.
+ Current examples inculde base_src_unpack
+\emph on
+ patch
+\emph default
+and the upcoming kde_src_unpack
+\emph on
+objprelink-patch
+\emph default
+ (whose name may change when I actually write it).
\layout Subsection
base.eclass
@@ -516,28 +425,48 @@ base.eclass
This eclass defines some default variables and functions, similar to those
you'd get by default in a non-inheriting ebuild.
- For example, it defines:
-\layout Code
+\layout Standard
-base_src_unpack() { unpack ${A}; }
+It is inherited by higher-level eclasses like the kde ones.
\layout Standard
-Only with sections, of course.
+Note that in base_src_unpack there is one non-default section (i.e.
+ it doesn't execute for section
+\emph on
+all
+\emph default
+).
+ It is called
+\emph on
+patch
+\emph default
+ and it looks like this:
+\layout Code
+
+cd ${S}
+\layout Code
+
+patch -p0 < ${FILESDIR}/${P}-gentoo.diff
\layout Standard
-It is inherited by higher-level eclasses like the kde ones.
+Once, long ago, I remember hearing that emerge would execute this code automatic
+ally between src_unpack() and src_compile() if the file ${FILESDIR}/${P}-gentoo.d
+iff was present.
+ Was this a plan, a rumour, or what? Someone please correct me, or at least
+ correct this document.
\layout Subsection
kde.eclass
\layout Standard
Used by all kde apps, whether directly or indirectly.
- This is a higher-level eclass, which is intended to provide not only sensible
+ This is a med-level eclass, which is intended to provide not only sensible
defaults but functions which can be used as-is more often then not.
-
+ In fact, none of the high-level kde-* eclasses which inherit from here
+ change the functions in any way, and the ebuilds rarely do so.
\layout Standard
-It inherits c, autoconf and base.
+It inherits autoconf and base.
\layout Standard
Read it to find out what it defines.
@@ -549,29 +478,31 @@ ake install cycles.
It handles all the std.
configure options e.g.
objprelink.
- It also adds kdelibs and qt to DEPEND.
+ It also adds kdelibs to DEPEND/RDEPEND.
+\layout Standard
+
+Note: some kde apps, like widget styles and i18n packages, do not need to
+ compile anything.
+ Therefore kde.eclass does not inherit c and does not depend on qt.
+ These packages can then inherit straight from here (or from kde-i18n.eclass,
+ which also inherits from here).
+ All other packages, which need to ompile c code and link against qt, should
+ inhreit from kde-base.eclass.
\layout Subsection
kde-base.eclass
\layout Standard
-Meant for kde apps part of the core kde distribution.
-\layout Standard
-
-Differences from kde.eclass:
-\layout Itemize
-
-Sets appropriate DESCRIPTION and HOMEPAGE=www.kde.org.
-\layout Itemize
-
-Sets default download path to the correct location on ftp.kde.org and several
- of its mirrors.
+Meant for standard kde apps, of both 2.1 and 2.2 architectures.
+ Inherits c,kde and adds objprelink and qt deps.
+ Sets HOMEPAGE=apps.kde.com.
\layout Subsection
kde-i18n.eclass
\layout Standard
-Meant for the kde-i18n-* packages.
+Meant for the kde-i18n-* packages, possibly also for the koffice-i18n to-be-writ
+ten packages.
Niche use.
\layout Standard
@@ -579,34 +510,31 @@ In fact, all kde-i18n ebuilds are completely identical and so all they have
to do is inherit from this eclass.
\layout Standard
-Differences from kde.eclass:
+Inherits from kde,kde.org.
+ Makes a few differences, such as PROVIDE virtual/kde-i18n, correct $S,
+ HOMEPAGE and DESCRIPTION.
+\layout Subsection
+
+kde-dist.eclass
\layout Standard
-Many.
- Doesn't inherit c.
- Doesn't depend on qt.
- Provides virtual/kde-i18n-${PV}.
- Doesn't have
-\emph on
-myconf
-\emph default
-section in src_compile().
- Doesn't have any sections in src_install().
- Probably something else I forgot as well.
+Meant for the base kde distribution packages in kde-base/*.
+ Inherits kde-base,kde.org.
+ Adds the correct DESCRIPTION and HOMEPAGE and kdelibs-${PV} deps.
+ The simpler/smaller kde-base/ packages (e.g.
+ kdetoys) make no changes at all; most of those that do only add deps.
\layout Subsection
c.eclass
\layout Standard
Adds gcc and glibc to DEPEND and RDEPEND.
- Not meant to be used alone, inherited by kde*.
\layout Subsection
autoconf.eclass
\layout Standard
Adds make/automake/autoconf to DEPEND.
- Not meant to be used alone, inherited by kde*.
\layout Subsection
debug.eclass
@@ -619,6 +547,17 @@ Will be written soon.
echo
\emph default
s I have scattered around the eclasses.
+\layout Subsection
+
+kde-objprelink.eclass
+\layout Standard
+
+Will be written soon.
+ Will provide the objprelink deps and the
+\emph on
+objprelink-patch
+\emph default
+ src_unpack section.
\layout Section
The inheriting ebuilds
@@ -628,8 +567,31 @@ Not much here as yet.
Look at the kde*-2.2.1-r1 ebuilds for examples.
As a rule, read the eclass you are inheriting from and put any necessary
changes in your ebuild.
-\layout Standard
+ For now, a collection of tips:
+\layout Itemize
-Remember: always extend variables and fnctions.
+Always extend variables and functions.
You should almost never need to replace them.
+ In particular, always remember to use DEPEND=
+\begin_inset Quotes erd
+\end_inset
+
+$DEPEND...
+\begin_inset Quotes erd
+\end_inset
+
+ and the same for RDEPEND.
+\layout Itemize
+
+The eclasses have DESCRIPTION=
+\begin_inset Quotes erd
+\end_inset
+
+Derived from $ECLASS
+\begin_inset Quotes erd
+\end_inset
+
+ set.
+ This is to remind you to write a description of your own for your ebuilds.
+ Otherwise the inherited one will show through as a reminder.
\the_end
diff --git a/eclass/eclass-howto.sgml b/eclass/doc/eclass-howto.sgml
index 2c7670e10108..bf74a03b2058 100644
--- a/eclass/eclass-howto.sgml
+++ b/eclass/doc/eclass-howto.sgml
@@ -10,7 +10,7 @@
Dan Armak
</author>
<date>
- 30/9/01
+ Updated for eclasses v3
</date>
<sect1>
<title>
@@ -23,6 +23,9 @@
The most similar group of ebuilds is the kde apps. These have been selected to be the test case for this first incarnation of eclasses. Currently test ebuilds are available for all of kde-2.2.1 (as kde*-2.2.1-r1), kdevelop-2.0.1 and koffice-1.1. Many others will follow.
</para>
<para>
+ Please read news.txt for an astract of changes between versions of the eclasses.
+ </para>
+ <para>
Section two explains how eclasses work.Section three shows a sample inheriting ebuild.
</para>
<sect2>
@@ -200,6 +203,9 @@
<para>
The only way to know what functions contain what sections is to read the eclasses.
</para>
+ <para>
+ A final note: not all functions execute all their sections when called with <emphasis>all</emphasis> or without parameters. Some sections may be non-standrd and must be called explicitly. Current examples inculde base_src_unpack<emphasis> patch </emphasis>and the upcoming kde_src_unpack <emphasis>objprelink-patch</emphasis> (whose name may change when I actually write it).
+ </para>
</sect3>
</sect2>
<sect2>
@@ -207,16 +213,20 @@
base.eclass
</title>
<para>
- This eclass defines some default variables and functions, similar to those you'd get by default in a non-inheriting ebuild. For example, it defines:
+ This eclass defines some default variables and functions, similar to those you'd get by default in a non-inheriting ebuild.
</para>
- <programlisting>
-<![ CDATA [base_src_unpack() { unpack ${A}; }
-]]> </programlisting>
<para>
- Only with sections, of course.
+ It is inherited by higher-level eclasses like the kde ones.
</para>
<para>
- It is inherited by higher-level eclasses like the kde ones.
+ Note that in base_src_unpack there is one non-default section (i.e. it doesn't execute for section <emphasis>all</emphasis>). It is called <emphasis>patch</emphasis> and it looks like this:
+ </para>
+ <programlisting>
+<![ CDATA [cd ${S}
+]]><![ CDATA [patch -p0 < ${FILESDIR}/${P}-gentoo.diff
+]]> </programlisting>
+ <para>
+ Once, long ago, I remember hearing that emerge would execute this code automatically between src_unpack() and src_compile() if the file &dollar;&lcub;FILESDIR&rcub;/&dollar;&lcub;P&rcub;-gentoo.diff was present. Was this a plan, a rumour, or what? Someone please correct me, or at least correct this document.
</para>
</sect2>
<sect2>
@@ -224,16 +234,19 @@
kde.eclass
</title>
<para>
- Used by all kde apps, whether directly or indirectly. This is a higher-level eclass, which is intended to provide not only sensible defaults but functions which can be used as-is more often then not.
+ Used by all kde apps, whether directly or indirectly. This is a med-level eclass, which is intended to provide not only sensible defaults but functions which can be used as-is more often then not. In fact, none of the high-level kde-* eclasses which inherit from here change the functions in any way, and the ebuilds rarely do so.
</para>
<para>
- It inherits c, autoconf and base.
+ It inherits autoconf and base.
</para>
<para>
Read it to find out what it defines. It is quite self-explanatory.
</para>
<para>
- Briefly, it handles all standard kde-2.1* and 2.2* apps that need configure/make/make install cycles. It handles all the std. configure options e.g. objprelink. It also adds kdelibs and qt to DEPEND.
+ Briefly, it handles all standard kde-2.1* and 2.2* apps that need configure/make/make install cycles. It handles all the std. configure options e.g. objprelink. It also adds kdelibs to DEPEND/RDEPEND.
+ </para>
+ <para>
+ Note: some kde apps, like widget styles and i18n packages, do not need to compile anything. Therefore kde.eclass does not inherit c and does not depend on qt. These packages can then inherit straight from here (or from kde-i18n.eclass, which also inherits from here). All other packages, which need to ompile c code and link against qt, should inhreit from kde-base.eclass.
</para>
</sect2>
<sect2>
@@ -241,39 +254,29 @@
kde-base.eclass
</title>
<para>
- Meant for kde apps part of the core kde distribution.
- </para>
- <para>
- Differences from kde.eclass:
+ Meant for standard kde apps, of both 2.1 and 2.2 architectures. Inherits c,kde and adds objprelink and qt deps. Sets HOMEPAGE=apps.kde.com.
</para>
- <itemizedlist>
- <listitem>
- <para>
- Sets appropriate DESCRIPTION and HOMEPAGE=www.kde.org.
- </para>
- </listitem>
- <listitem>
- <para>
- Sets default download path to the correct location on ftp.kde.org and several of its mirrors.
- </para>
- </listitem>
- </itemizedlist>
</sect2>
<sect2>
<title>
kde-i18n.eclass
</title>
<para>
- Meant for the kde-i18n-* packages. Niche use.
+ Meant for the kde-i18n-* packages, possibly also for the koffice-i18n to-be-written packages. Niche use.
</para>
<para>
In fact, all kde-i18n ebuilds are completely identical and so all they have to do is inherit from this eclass.
</para>
<para>
- Differences from kde.eclass:
+ Inherits from kde,kde.org. Makes a few differences, such as PROVIDE virtual/kde-i18n, correct &dollar;S, HOMEPAGE and DESCRIPTION.
</para>
+ </sect2>
+ <sect2>
+ <title>
+ kde-dist.eclass
+ </title>
<para>
- Many. Doesn't inherit c. Doesn't depend on qt. Provides virtual/kde-i18n-&dollar;&lcub;PV&rcub;. Doesn't have <emphasis>myconf </emphasis>section in src_compile(). Doesn't have any sections in src_install(). Probably something else I forgot as well.
+ Meant for the base kde distribution packages in kde-base/*. Inherits kde-base,kde.org. Adds the correct DESCRIPTION and HOMEPAGE and kdelibs-&dollar;&lcub;PV&rcub; deps. The simpler/smaller kde-base/ packages (e.g. kdetoys) make no changes at all; most of those that do only add deps.
</para>
</sect2>
<sect2>
@@ -281,7 +284,7 @@
c.eclass
</title>
<para>
- Adds gcc and glibc to DEPEND and RDEPEND. Not meant to be used alone, inherited by kde*.
+ Adds gcc and glibc to DEPEND and RDEPEND.
</para>
</sect2>
<sect2>
@@ -289,7 +292,7 @@
autoconf.eclass
</title>
<para>
- Adds make/automake/autoconf to DEPEND. Not meant to be used alone, inherited by kde*.
+ Adds make/automake/autoconf to DEPEND.
</para>
</sect2>
<sect2>
@@ -300,17 +303,34 @@
Will be written soon. Will provide verbose debug output functions to centralise the numerous <emphasis>echo</emphasis>s I have scattered around the eclasses.
</para>
</sect2>
+ <sect2>
+ <title>
+ kde-objprelink.eclass
+ </title>
+ <para>
+ Will be written soon. Will provide the objprelink deps and the <emphasis>objprelink-patch</emphasis> src_unpack section.
+ </para>
+ </sect2>
</sect1>
<sect1>
<title>
The inheriting ebuilds
</title>
<para>
- Not much here as yet. Look at the kde*-2.2.1-r1 ebuilds for examples. As a rule, read the eclass you are inheriting from and put any necessary changes in your ebuild.
- </para>
- <para>
- Remember: always extend variables and fnctions. You should almost never need to replace them.
+ Not much here as yet. Look at the kde*-2.2.1-r1 ebuilds for examples. As a rule, read the eclass you are inheriting from and put any necessary changes in your ebuild. For now, a collection of tips:
</para>
+ <itemizedlist>
+ <listitem>
+ <para>
+ Always extend variables and functions. You should almost never need to replace them. In particular, always remember to use DEPEND=&rdquo;&dollar;DEPEND...&rdquo; and the same for RDEPEND.
+ </para>
+ </listitem>
+ <listitem>
+ <para>
+ The eclasses have DESCRIPTION=&rdquo;Derived from &dollar;ECLASS&rdquo; set. This is to remind you to write a description of your own for your ebuilds. Otherwise the inherited one will show through as a reminder.
+ </para>
+ </listitem>
+ </itemizedlist>
</sect1>
diff --git a/eclass/eclass-howto.txt b/eclass/doc/eclass-howto.txt
index d9ee3c9b5a20..360218ee0e74 100644
--- a/eclass/eclass-howto.txt
+++ b/eclass/doc/eclass-howto.txt
@@ -4,7 +4,7 @@ eclass howto
Dan Armak
-30/9/01
+Updated for eclasses v3
1 Introduction
@@ -20,6 +20,9 @@ of eclasses. Currently test ebuilds are available for all
of kde-2.2.1 (as kde*-2.2.1-r1), kdevelop-2.0.1 and koffice-1.1.
Many others will follow.
+Please read news.txt for an astract of changes between versions
+of the eclasses.
+
Section two explains how eclasses work.Section three shows
a sample inheriting ebuild.
@@ -174,23 +177,17 @@ base_src_compile() {
case $1 in
-
-configure)
+ configure)
- ./configure
-|| die;;
+ ./configure || die;;
-
-make)
+ make)
- make
-|| die;;
+ make || die;;
-
-all)
+ all)
- base_src_compile
-configure make;;
+ base_src_compile configure make;;
esac
@@ -244,80 +241,117 @@ src_compile() {
The only way to know what functions contain what sections
is to read the eclasses.
+A final note: not all functions execute all their sections
+when called with all or without parameters. Some sections
+may be non-standrd and must be called explicitly. Current
+examples inculde base_src_unpack patch and the upcoming
+kde_src_unpack objprelink-patch (whose name may change when
+I actually write it).
+
2.3 base.eclass
This eclass defines some default variables and functions,
similar to those you'd get by default in a non-inheriting
-ebuild. For example, it defines:
+ebuild.
-base_src_unpack() { unpack ${A}; }
+It is inherited by higher-level eclasses like the kde ones.
-Only with sections, of course.
+Note that in base_src_unpack there is one non-default section
+(i.e. it doesn't execute for section all). It is called
+patch and it looks like this:
-It is inherited by higher-level eclasses like the kde ones.
+cd ${S}
+
+patch -p0 < ${FILESDIR}/${P}-gentoo.diff
+
+Once, long ago, I remember hearing that emerge would execute
+this code automatically between src_unpack() and src_compile()
+if the file ${FILESDIR}/${P}-gentoo.diff was present. Was
+this a plan, a rumour, or what? Someone please correct me,
+or at least correct this document.
2.4 kde.eclass
Used by all kde apps, whether directly or indirectly. This
-is a higher-level eclass, which is intended to provide not
+is a med-level eclass, which is intended to provide not
only sensible defaults but functions which can be used as-is
-more often then not.
+more often then not. In fact, none of the high-level kde-*
+eclasses which inherit from here change the functions in
+any way, and the ebuilds rarely do so.
-It inherits c, autoconf and base.
+It inherits autoconf and base.
Read it to find out what it defines. It is quite self-explanatory.
Briefly, it handles all standard kde-2.1* and 2.2* apps that
need configure/make/make install cycles. It handles all
the std. configure options e.g. objprelink. It also adds
-kdelibs and qt to DEPEND.
-
-2.5 kde-base.eclass
-
-Meant for kde apps part of the core kde distribution.
+kdelibs to DEPEND/RDEPEND.
-Differences from kde.eclass:
+Note: some kde apps, like widget styles and i18n packages,
+do not need to compile anything. Therefore kde.eclass does
+not inherit c and does not depend on qt. These packages
+can then inherit straight from here (or from kde-i18n.eclass,
+which also inherits from here). All other packages, which
+need to ompile c code and link against qt, should inhreit
+from kde-base.eclass.
-* Sets appropriate DESCRIPTION and HOMEPAGE=www.kde.org.
+2.5 kde-base.eclass
-* Sets default download path to the correct location on ftp.kde.org
- and several of its mirrors.
+Meant for standard kde apps, of both 2.1 and 2.2 architectures.
+Inherits c,kde and adds objprelink and qt deps. Sets HOMEPAGE=apps.kde.com.
2.6 kde-i18n.eclass
-Meant for the kde-i18n-* packages. Niche use.
+Meant for the kde-i18n-* packages, possibly also for the
+koffice-i18n to-be-written packages. Niche use.
In fact, all kde-i18n ebuilds are completely identical and
so all they have to do is inherit from this eclass.
-Differences from kde.eclass:
+Inherits from kde,kde.org. Makes a few differences, such
+as PROVIDE virtual/kde-i18n, correct $S, HOMEPAGE and DESCRIPTION.
+
+2.7 kde-dist.eclass
-Many. Doesn't inherit c. Doesn't depend on qt. Provides virtual/kde-i18n-${PV}.
-Doesn't have myconf section in src_compile(). Doesn't have
-any sections in src_install(). Probably something else I
-forgot as well.
+Meant for the base kde distribution packages in kde-base/*.
+Inherits kde-base,kde.org. Adds the correct DESCRIPTION
+and HOMEPAGE and kdelibs-${PV} deps. The simpler/smaller
+kde-base/ packages (e.g. kdetoys) make no changes at all;
+most of those that do only add deps.
-2.7 c.eclass
+2.8 c.eclass
-Adds gcc and glibc to DEPEND and RDEPEND. Not meant to be
-used alone, inherited by kde*.
+Adds gcc and glibc to DEPEND and RDEPEND.
-2.8 autoconf.eclass
+2.9 autoconf.eclass
-Adds make/automake/autoconf to DEPEND. Not meant to be used
-alone, inherited by kde*.
+Adds make/automake/autoconf to DEPEND.
-2.9 debug.eclass
+2.10 debug.eclass
Will be written soon. Will provide verbose debug output functions
to centralise the numerous echos I have scattered around
the eclasses.
+2.11 kde-objprelink.eclass
+
+Will be written soon. Will provide the objprelink deps and
+the objprelink-patch src_unpack section.
+
3 The inheriting ebuilds
Not much here as yet. Look at the kde*-2.2.1-r1 ebuilds for
examples. As a rule, read the eclass you are inheriting
-from and put any necessary changes in your ebuild.
-
-Remember: always extend variables and fnctions. You should
-almost never need to replace them.
+from and put any necessary changes in your ebuild. For now,
+a collection of tips:
+
+* Always extend variables and functions. You should almost
+ never need to replace them. In particular, always remember
+ to use DEPEND="$DEPEND..."
+ and the same for RDEPEND.
+
+* The eclasses have DESCRIPTION="Derived
+ from $ECLASS" set. This is to remind you
+ to write a description of your own for your ebuilds. Otherwise
+ the inherited one will show through as a reminder.
diff --git a/eclass/doc/news.txt b/eclass/doc/news.txt
new file mode 100644
index 000000000000..b8103ee7f2f2
--- /dev/null
+++ b/eclass/doc/news.txt
@@ -0,0 +1,44 @@
+Plans for v3.1:
+- debug.eclass
+- kde-objprelink.eclass
+
+1/10
+v3
+Another major change.
+This involves primarily the kde eclasses.
+
+We now have kde.eclass, which is *not* the same as kde.eclass from v2, but is
+rather a kde-virtual eclass. It includes all the basic definitions and standard
+functions. It is med-level; people do not usually inherit from it.
+
+Then, we have high-level eclasses:
+kde-base.eclass inherits c,kde and adds pbjprelink,qt deps. It's used by misc apps.
+kde.org.eclass adds the SRC_URI/SRC_PATH block for ftp.kde.org and friends.
+kde-dist.eclass inherits kde-base,kde.org and adds HOMEPAGE,DESCRIPTION etc. and
+ Kkdelibs-${PV} deps. It is used by kdebase/* packages.
+kde-i18n.eclass inerits kde,kde.org and adds the neccessary things for kde-i18n packages.
+ It will probably be used for the upcoming koffice-i18n packages as well.
+
+Notice, now you now longer call kde-base_ and kde-i18n_ functions, but only kde_ functions.
+
+I have had to swap eclasses' names around to make them more intuitive. Here is a table
+of the changes:
+kde-virtual => kde
+kde => kde-base
+kde-base => kde-dist + kde.org
+kde-i18n == kde-i18n
+
+(kde-virtual was a mid-stage eclass from version 2.5 which was never commited on cvs).
+
+1/10
+v2.5
+A temp version which wasn't commited. Testbed for radical ideas.
+
+30/9
+v2
+Documented in original howto
+
+29/9
+v1
+Original version
+Had an infinite recursion in base.eclass. Was deleted from cvs later that day. \ No newline at end of file
diff --git a/eclass/doc/todo.txt b/eclass/doc/todo.txt
new file mode 100644
index 000000000000..4a272ac96b75
--- /dev/null
+++ b/eclass/doc/todo.txt
@@ -0,0 +1,14 @@
+debug.eclass
+
+kde-objprelink.eclass
+
+decide where qt deps versioning should go
+
+koffice-i18n packages
+
+-r1 packages for all kde apps in portage
+
+sort out docs/sgml, get link from site
+
+make scheme stable and unmask
+
diff --git a/eclass/kde-base.eclass b/eclass/kde-base.eclass
index 7f41d58a004d..5371747f377e 100644
--- a/eclass/kde-base.eclass
+++ b/eclass/kde-base.eclass
@@ -1,90 +1,22 @@
# Copyright 1999-2000 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# Author Dan Armak <danarmak@gentoo.org>
-# $Header: /var/cvsroot/gentoo-x86/eclass/kde-base.eclass,v 1.7 2001/09/29 21:03:25 danarmak Exp $
-# This is the kde ebuild for >=2.2.1 kde base packages. Don't use for kdelibs though :-)
-# It can't be used for e.g. kdevelop, koffice because of their separate versionnig schemes.
+# $Header: /var/cvsroot/gentoo-x86/eclass/kde-base.eclass,v 1.8 2001/10/01 11:04:22 danarmak Exp $
+# This is the kde ebuild for std. kde-dependant apps which follow configure/make/make install
+# procedures and have std. configure options.
. /usr/portage/eclass/inherit.eclass || die
-inherit c autoconf base || die
+inherit c kde || die
ECLASS=kde-base
-DESCRIPTION="KDE ${PV} - "
-HOMEPAGE="http://www.kde.org/"
-
-SRC_PATH="kde/stable/${PV}/src/${P}.tar.bz2"
-SRC_URI="ftp://ftp.kde.org/pub/$SRC_PATH
- ftp://ftp.fh-heilbronn.de/pub/mirrors/$SRC_PATH
- ftp://ftp.sourceforge.net/pub/mirrors/$SRC_PATH"
+DESCRIPTION="Based on the $ECLASS eclass"
+HOMEPAGE="http://apps.kde.com/"
DEPEND="${DEPEND}
- ( kde-base/kdelibs-${PV} )
objprelink? ( dev-util/objprelink )
- >=x11-libs/qt-x11-2.3.0"
-
+ x11-libs/qt-x11"
RDEPEND="${RDEPEND}
- ( kde-base/kdelibs-${PV} )
- >=x11-libs/qt-x11-2.3.0"
-
-kde-base_src_compile() {
-
- echo "in kde-base_src_compile, 1st parameter is $1"
- [ -z "$1" ] && kde-base_src_compile all
-
- while [ "$1" ]; do
-
- case $1 in
- myconf)
- echo "in kde-base_src_compile, action is myconf"
- use qtmt && myconf="$myconf --enable-mt"
- use objprelink && myconf="$myconf --enable-objprelink" || myconf="$myconf --disable-objprelink"
- ;;
- configure)
- echo "in kde-base_src_compile, action is configure"
- ./configure --host=${CHOST} --with-x \
- ${myconf} --with-xinerama || die
- ;;
- make)
- echo "in kde-base_src_compile, action is make"
- make || die
- ;;
- all)
- echo "in kde-base_src_compile, action is all"
- kde-base_src_compile myconf configure make
- ;;
- esac
-
- shift
- done
-
-}
-
-kde-base_src_install() {
-
- echo "in kde-base_src_install, 1st parameter is $1"
- [ -z "$1" ] && kde-base_src_install all
-
- while [ "$1" ]; do
+ x11-libs/qt-x11"
- case $1 in
- make)
- echo "in kde-base_src_install, action is make"
- make install DESTDIR=${D} || die
- ;;
- dodoc)
- echo "in kde-base_src_install, action is dodoc"
- dodoc AUTHORS ChangeLog COPYING README*
- ;;
- all)
- echo "in kde-base_src_install, action is all"
- kde-base_src_install make dodoc
- ;;
- esac
-
- shift
- done
-
-}
-EXPORT_FUNCTIONS src_compile src_install
diff --git a/eclass/kde-i18n.eclass b/eclass/kde-i18n.eclass
index 43877c3ad2df..5d59e757d550 100644
--- a/eclass/kde-i18n.eclass
+++ b/eclass/kde-i18n.eclass
@@ -1,55 +1,16 @@
# Copyright 1999-2000 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# Author Dan Armak <danarmak@gentoo.org>
-# $Header: /var/cvsroot/gentoo-x86/eclass/kde-i18n.eclass,v 1.2 2001/09/30 21:43:05 danarmak Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/kde-i18n.eclass,v 1.3 2001/10/01 11:04:22 danarmak Exp $
. /usr/portage/eclass/inherit.eclass || die
-inherit autoconf base || die
+inherit kde kde.org || die
ECLASS=kde-i18n
-A=${P}.tar.bz2
S=${WORKDIR}/${PN}
DESCRIPTION="KDE ${PV} - i18n: ${PN}"
-SRC_PATH="kde/stable/${PV}/src/${A}"
-SRC_URI="ftp://ftp.kde.org/pub/$SRC_PATH
- ftp://ftp.fh-heilbronn.de/pub/mirrors/$SRC_PATH
- ftp://ftp.sourceforge.net/pub/mirrors/$SRC_PATH"
-
HOMEPAGE="http://www.kde.org/"
DEPEND=">=kde-base/kdelibs-${PV}"
PROVIDE="virtual/kde-i18n-${PV}"
-kde-i18n_src_compile() {
-
- echo "in kde-i18n_src_compile, 1st parameter is $1"
- [ $1="" ] && kde-i18n_src_compile all
-
- while [ "$1" ]; do
-
- case $1 in
- configure)
- echo "in kde-i18n_src_compile, action configure"
- ./configure --host=${CHOST} || die
- ;;
- make)
- echo "in kde-i18n_src_compile, action make"
- make || die
- ;;
- all)
- echo "in kde-i18n_src_compile, action all"
- kde-i18n_src_compile all
- ;;
- esac
-
- shift
- done
-
-}
-
-kde-i18n_src_install() {
- echo "in kde-i18n_src_compile, single function"
- make install DESTDIR=${D} || die
-}
-
-
diff --git a/eclass/kde.eclass b/eclass/kde.eclass
index 4448e5312cf0..e464244ca43f 100644
--- a/eclass/kde.eclass
+++ b/eclass/kde.eclass
@@ -1,43 +1,38 @@
# Copyright 1999-2000 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# Author Dan Armak <danarmak@gentoo.org>
-# $Header: /var/cvsroot/gentoo-x86/eclass/kde.eclass,v 1.7 2001/09/29 21:03:25 danarmak Exp $
-# This is the kde ebuild for std. kde-dependant apps which follow configure/make/make install
-# procedures and have std. configure options. That includes kdevelop, koffice etc.
+# $Header: /var/cvsroot/gentoo-x86/eclass/kde.eclass,v 1.8 2001/10/01 11:04:22 danarmak Exp $
+# The kde eclass is inherited by all kde-* eclasses. Few ebuilds inherit straight from here.
. /usr/portage/eclass/inherit.eclass || die
-inherit c autoconf base || die
+inherit autoconf base || die
ECLASS=kde
DESCRIPTION="Based on the $ECLASS eclass"
-HOMEPAGE="http://apps.kde.org/"
-DEPEND="${DEPEND}
- kde-base/kdelibs
- objprelink? ( dev-util/objprelink )
- x11-libs/qt-x11"
-RDEPEND="${RDEPEND}
- kde-base/kdelibs
- x11-libs/qt-x11"
+HOMEPAGE="http://www.kde.org/"
+
+DEPEND="$DEPEND kde-base/kdelibs"
+RDEPEND="$RDEPEND kde-base/kdelibs"
kde_src_compile() {
- echo "in kde-base_src_compile, 1st parameter is $1"
+ echo "in kde_src_compile, 1st parameter is $1"
[ -z "$1" ] && kde_src_compile all
while [ "$1" ]; do
case $1 in
- myconf)
+ myconf)
echo "in kde_src_compile, action is myconf"
use qtmt && myconf="$myconf --enable-mt"
- use objprelink && myconf="$myconf --enable-objprelink" || myconf="$myconf --disable-objprelink"
+ use objprelink && myconf="$myconf --enable-objprelink" || myconf="$myconf --disable-objprelink"
;;
- configure)
+ configure)
echo "in kde_src_compile, action is configure"
./configure --host=${CHOST} --with-x \
${myconf} --with-xinerama || die
;;
- make)
+ make)
echo "in kde_src_compile, action is make"
make || die
;;
@@ -46,7 +41,7 @@ kde_src_compile() {
kde_src_compile myconf configure make
;;
esac
-
+
shift
done
@@ -79,7 +74,5 @@ kde_src_install() {
}
-
EXPORT_FUNCTIONS src_compile src_install
-
diff --git a/eclass/notes.txt b/eclass/notes.txt
deleted file mode 100644
index 64f165c6b3db..000000000000
--- a/eclass/notes.txt
+++ /dev/null
@@ -1,35 +0,0 @@
-Note: this is outdated. Do not rely on it!
-Second note: even more outdated now!
-
-Notes about moving deps from ebuilds into eclasses
---------------------------------------------------
-
-1. eclasses may define depends, but they sually do so without mentioning specific versions. The kde eclass depends on
-x11-libs/qt-x11. howevr kde 2.2.1 depends on >=qt-x11-2.3.0, whih will have to be specified in the kdelibs ebuild.
-The same applies to dependnig on kdelibs. the kde eclass includes a kdelibs dep, yet nearly all kde apps inheriting from
-it are forced to specify it again with a minimal version. Expect a kde-base eclass in the near future which will inherit from
-kde and be better suited for kde-base/* ebuilds of a specific kde version.
-
-2. More about depends of eclasses. Since kdelibs depends on qt and kde app foo depends on kdelibs, there is no need for foo
-to explicitly require qt, just kdelibs. However we now move the qt depend from the kdelibs ebuild to the kde eclass, which is
-inherited by both kdelibs and foo. So that they both depend on qt explicitly. This shouldn't be a problem, but it is a
-change from the current situation.
-
-3. Most euilds don't define deps which they need such as gcc, glibc, ld.so, autoconf/make, gzip/bzip2/unzip/tar for extracting
-the source archives. It'd be nice to have eclasses defnie all these common deps, but it will make some unneeded deps show up
-in some cases. For now I have the c eclass and the autoonf eclass, but these are more for testing of multiple inheritance
-than for any real use.
-
-
-Notes for writig inheritig eclasses
------------------------------------
-1. Make sure to extend your variables and functions, not relpace them. In particular always use DEPEND=$DEPEND"..."
-and the same for RDEPEND.
-2. Remember to inherit virtual first, to EXPORT_FUNCTIONS and then to extend your functions.
-3. Problem:
-kde originally inherited base,c,autoconf. Of these three only base defines any functions, so you'd think the base functions
-are the ones kde gets by default. However, because base, c and autoconf all inherit from virtual, they do, in fact,
-implement empty funcions. So, if kde inherits base,c,autoconf in that order, it gets the virtual functions. This isn't
-what we want, so kde should inherit base last.
-In fact, kde should also inheit virtual first, like all eclasses, but that's a formality.
-BEWARE OF MULTIPLE INHERITANCE, ESPECIALLY IN EBUILDS!
diff --git a/kde-base/kdeaddons/kdeaddons-2.2.1-r1.ebuild b/kde-base/kdeaddons/kdeaddons-2.2.1-r1.ebuild
index 07e6f87a8ea0..2bf4abc7535f 100644
--- a/kde-base/kdeaddons/kdeaddons-2.2.1-r1.ebuild
+++ b/kde-base/kdeaddons/kdeaddons-2.2.1-r1.ebuild
@@ -1,9 +1,9 @@
# Copyright 1999-2000 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# Author Dan Armak <danarmak@gentoo.org>
-# $Header: /var/cvsroot/gentoo-x86/kde-base/kdeaddons/kdeaddons-2.2.1-r1.ebuild,v 1.1 2001/09/29 12:42:18 danarmak Exp $
+# $Header: /var/cvsroot/gentoo-x86/kde-base/kdeaddons/kdeaddons-2.2.1-r1.ebuild,v 1.2 2001/10/01 11:04:22 danarmak Exp $
. /usr/portage/eclass/inherit.eclass || die
-inherit kde-base || die
+inherit kde-dist || die
DESCRIPTION="${DESCRIPTION}Addons"
diff --git a/kde-base/kdeadmin/kdeadmin-2.2.1-r1.ebuild b/kde-base/kdeadmin/kdeadmin-2.2.1-r1.ebuild
index 70e9f1fcbf43..04d291f2d187 100644
--- a/kde-base/kdeadmin/kdeadmin-2.2.1-r1.ebuild
+++ b/kde-base/kdeadmin/kdeadmin-2.2.1-r1.ebuild
@@ -1,9 +1,9 @@
# Copyright 1999-2000 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# Author Dan Armak <danarmak@gentoo.org>
-# $Header: /var/cvsroot/gentoo-x86/kde-base/kdeadmin/kdeadmin-2.2.1-r1.ebuild,v 1.1 2001/09/29 12:42:18 danarmak Exp $
+# $Header: /var/cvsroot/gentoo-x86/kde-base/kdeadmin/kdeadmin-2.2.1-r1.ebuild,v 1.2 2001/10/01 11:04:22 danarmak Exp $
. /usr/portage/eclass/inherit.eclass || die
-inherit kde-base || die
+inherit kde-dist || die
DESCRIPTION="${DESCRIPTION}Administration"
@@ -15,11 +15,11 @@ RDEPEND="$RDEPEND $NEWDEPEND"
src_compile() {
- kde-base_src_compile myconf
+ kde_src_compile myconf
use pam && myconf="--with-pam" || myconf="--without-pam"
- kde-base_src_compile configure make
+ kde_src_compile configure make
}
diff --git a/kde-base/kdeartwork/kdeartwork-2.2.1-r1.ebuild b/kde-base/kdeartwork/kdeartwork-2.2.1-r1.ebuild
index c3a613091d79..fc78dcad413a 100644
--- a/kde-base/kdeartwork/kdeartwork-2.2.1-r1.ebuild
+++ b/kde-base/kdeartwork/kdeartwork-2.2.1-r1.ebuild
@@ -1,13 +1,13 @@
# Copyright 1999-2000 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# Author Dan Armak <danarmak@gentoo.org>
-# $Header: /var/cvsroot/gentoo-x86/kde-base/kdeartwork/kdeartwork-2.2.1-r1.ebuild,v 1.1 2001/09/29 12:42:18 danarmak Exp $
+# $Header: /var/cvsroot/gentoo-x86/kde-base/kdeartwork/kdeartwork-2.2.1-r1.ebuild,v 1.2 2001/10/01 11:04:22 danarmak Exp $
. /usr/portage/eclass/inherit.eclass || die
-inherit kde-base || die
+inherit kde-dist || die
DESCRIPTION="${DESCRIPTION}Artwork"
src_install() {
dodir $KDEDIR/share/apps/kthememgr/Themes
- kde-base_src_install all
+ kde_src_install all
}
diff --git a/kde-base/kdebase/kdebase-2.2.1-r1.ebuild b/kde-base/kdebase/kdebase-2.2.1-r1.ebuild
index bcec0ee13975..5c187af362d5 100644
--- a/kde-base/kdebase/kdebase-2.2.1-r1.ebuild
+++ b/kde-base/kdebase/kdebase-2.2.1-r1.ebuild
@@ -1,9 +1,9 @@
# Copyright 1999-2000 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# Author Dan Armak <danarmak@gentoo.org>
-# $Header: /var/cvsroot/gentoo-x86/kde-base/kdebase/kdebase-2.2.1-r1.ebuild,v 1.2 2001/09/29 12:42:18 danarmak Exp $
+# $Header: /var/cvsroot/gentoo-x86/kde-base/kdebase/kdebase-2.2.1-r1.ebuild,v 1.3 2001/10/01 11:04:22 danarmak Exp $
. /usr/portage/eclass/inherit.eclass || die
-inherit kde-base || die
+inherit kde-dist || die
DESCRIPTION="${DESCRIPTION}Base"
@@ -21,7 +21,7 @@ RDEPEND="$RDEPEND $NEWDEPEND"
src_compile() {
- kde-base_src_compile myconf
+ kde_src_compile myconf
use ldap && myconf="--with-ldap" || myconf="--without-ldap"
use pam && myconf="$myconf --with-pam" || myconf="$myconf --with-shadow"
@@ -32,14 +32,14 @@ src_compile() {
use opengl || myconf="$myconf --without-gl"
use ssl || myconf="$myconf --without-ssl"
- kde-base_src_compile configure make
+ kde_src_compile configure make
}
src_install() {
- kde-base_src_install
+ kde_src_install
insinto /etc/pam.d
newins ${FILESDIR}/kscreensaver.pam kscreensaver
diff --git a/kde-base/kdebindings/kdebindings-2.2.1-r1.ebuild b/kde-base/kdebindings/kdebindings-2.2.1-r1.ebuild
index c8da0e7bdd9f..50b9395d52ff 100644
--- a/kde-base/kdebindings/kdebindings-2.2.1-r1.ebuild
+++ b/kde-base/kdebindings/kdebindings-2.2.1-r1.ebuild
@@ -1,9 +1,9 @@
# Copyright 1999-2000 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# Author Dan Armak <danarmak@gentoo.org>
-# $Header: /var/cvsroot/gentoo-x86/kde-base/kdebindings/kdebindings-2.2.1-r1.ebuild,v 1.1 2001/09/29 12:42:18 danarmak Exp $
+# $Header: /var/cvsroot/gentoo-x86/kde-base/kdebindings/kdebindings-2.2.1-r1.ebuild,v 1.2 2001/10/01 11:04:22 danarmak Exp $
. /usr/portage/eclass/inherit.eclass || die
-inherit kde-base || die
+inherit kde-dist || die
DESCRIPTION="${DESCRIPTION}Bindings"
@@ -18,12 +18,12 @@ RDEPEND="$RDEPEND $NEWDEPEND"
src_compile() {
- kde-base_src_compile myconf
+ kde_src_compile myconf
use python || myconf="$myconf --without-python"
use java && myconf="$myconf --with-java=/opt/java" || myconf="$myconf --without-java"
- kde-base_src_compile configure
+ kde_src_compile configure
LIBPYTHON=\"`python-config`\" make || die
diff --git a/kde-base/kdegames/kdegames-2.2.1-r1.ebuild b/kde-base/kdegames/kdegames-2.2.1-r1.ebuild
index 4e463ff52c60..fc49d1e57032 100644
--- a/kde-base/kdegames/kdegames-2.2.1-r1.ebuild
+++ b/kde-base/kdegames/kdegames-2.2.1-r1.ebuild
@@ -1,8 +1,8 @@
# Copyright 1999-2000 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# Author Dan Armak <danarmak@gentoo.org>
-# $Header: /var/cvsroot/gentoo-x86/kde-base/kdegames/kdegames-2.2.1-r1.ebuild,v 1.1 2001/09/29 12:42:18 danarmak Exp $
+# $Header: /var/cvsroot/gentoo-x86/kde-base/kdegames/kdegames-2.2.1-r1.ebuild,v 1.2 2001/10/01 11:04:22 danarmak Exp $
. /usr/portage/eclass/inherit.eclass || die
-inherit kde-base || die
+inherit kde-dist || die
DESCRIPTION="${DESCRIPTION}Games"
diff --git a/kde-base/kdegraphics/kdegraphics-2.2.1-r1.ebuild b/kde-base/kdegraphics/kdegraphics-2.2.1-r1.ebuild
index a4667681be4f..d4cab3ece60e 100644
--- a/kde-base/kdegraphics/kdegraphics-2.2.1-r1.ebuild
+++ b/kde-base/kdegraphics/kdegraphics-2.2.1-r1.ebuild
@@ -1,9 +1,9 @@
# Copyright 1999-2000 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# Author Dan Armak <danarmak@gentoo.org>
-# $Header: /var/cvsroot/gentoo-x86/kde-base/kdegraphics/kdegraphics-2.2.1-r1.ebuild,v 1.1 2001/09/29 12:42:18 danarmak Exp $
+# $Header: /var/cvsroot/gentoo-x86/kde-base/kdegraphics/kdegraphics-2.2.1-r1.ebuild,v 1.2 2001/10/01 11:04:22 danarmak Exp $
. /usr/portage/eclass/inherit.eclass || die
-inherit kde-base || die
+inherit kde-dist || die
DESCRIPTION="${DESCRIPTION}Graphics"
@@ -15,11 +15,11 @@ RDEPEND="$RDEPEND gphoto2? ( >=media-gfx/gphoto-2.0_beta1 >=media-libs/libgpio-2
src_compile() {
- kde-base_src_compile myconf
+ kde_src_compile myconf
use gphoto2 && myconf="$myconf --with-gphoto2-includes=/usr/include/gphoto2 --with-gphoto2-libraries=/usr/lib/gphoto2" || myconf="$myconf --without-kamera"
- kde-base_src_compile configure make
+ kde_src_compile configure make
}
diff --git a/kde-base/kdelibs/kdelibs-2.2.1.ebuild b/kde-base/kdelibs/kdelibs-2.2.1.ebuild
index 234320641067..c39c1551e57e 100644
--- a/kde-base/kdelibs/kdelibs-2.2.1.ebuild
+++ b/kde-base/kdelibs/kdelibs-2.2.1.ebuild
@@ -1,10 +1,10 @@
# Copyright 1999-2000 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# Author Achim Gottinger <achim@gentoo.org>
-# $Header: /var/cvsroot/gentoo-x86/kde-base/kdelibs/kdelibs-2.2.1.ebuild,v 1.3 2001/09/29 21:03:26 danarmak Exp $
+# $Header: /var/cvsroot/gentoo-x86/kde-base/kdelibs/kdelibs-2.2.1.ebuild,v 1.4 2001/10/01 11:04:22 danarmak Exp $
# NOTE: Now we install into /usr
# ANOTHER NOTE: we now rely on env.d to provide KDEDIR and QTDIR settings,
-# instead of hardconding them here
+# instead of hardcoding them here
S=${WORKDIR}/${P}
DESCRIPTION="KDE ${PV} - Libraries"
diff --git a/kde-base/kdemultimedia/kdemultimedia-2.2.1-r1.ebuild b/kde-base/kdemultimedia/kdemultimedia-2.2.1-r1.ebuild
index d0aa8ecece1a..bf49340e40c1 100644
--- a/kde-base/kdemultimedia/kdemultimedia-2.2.1-r1.ebuild
+++ b/kde-base/kdemultimedia/kdemultimedia-2.2.1-r1.ebuild
@@ -1,9 +1,9 @@
# Copyright 1999-2000 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# Author Dan Armak <danarmak@gentoo.org>
-# $Header: /var/cvsroot/gentoo-x86/kde-base/kdemultimedia/kdemultimedia-2.2.1-r1.ebuild,v 1.1 2001/09/29 12:42:18 danarmak Exp $
+# $Header: /var/cvsroot/gentoo-x86/kde-base/kdemultimedia/kdemultimedia-2.2.1-r1.ebuild,v 1.2 2001/10/01 11:04:22 danarmak Exp $
. /usr/portage/eclass/inherit.eclass || die
-inherit kde-base || die
+inherit kde-dist || die
DESCRIPTION="${DESCRIPTION}Multimedia"
@@ -31,7 +31,7 @@ src_unpack() {
src_compile() {
- kde-base_src_compile myconf
+ kde_src_compile myconf
local myaudio
local myinteface
@@ -50,7 +50,7 @@ src_compile() {
--with-xinerama \
$myconf $myaudio $myinterface || die
- kde-base_src_compile make
+ kde_src_compile make
}
diff --git a/kde-base/kdenetwork/kdenetwork-2.2.1-r1.ebuild b/kde-base/kdenetwork/kdenetwork-2.2.1-r1.ebuild
index 4036174d8954..bc714d7f7fb8 100644
--- a/kde-base/kdenetwork/kdenetwork-2.2.1-r1.ebuild
+++ b/kde-base/kdenetwork/kdenetwork-2.2.1-r1.ebuild
@@ -1,8 +1,8 @@
# Copyright 1999-2000 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# Author Dan Armak <danarmak@gentoo.org>
-# $Header: /var/cvsroot/gentoo-x86/kde-base/kdenetwork/kdenetwork-2.2.1-r1.ebuild,v 1.1 2001/09/29 12:42:18 danarmak Exp $
+# $Header: /var/cvsroot/gentoo-x86/kde-base/kdenetwork/kdenetwork-2.2.1-r1.ebuild,v 1.2 2001/10/01 11:04:22 danarmak Exp $
. /usr/portage/eclass/inherit.eclass || die
-inherit kde-base || die
+inherit kde-dist || die
DESCRIPTION="${DESCRIPTION}Network"
diff --git a/kde-base/kdepim/kdepim-2.2.1-r1.ebuild b/kde-base/kdepim/kdepim-2.2.1-r1.ebuild
index d2c22b57728d..d9fca29b4ec8 100644
--- a/kde-base/kdepim/kdepim-2.2.1-r1.ebuild
+++ b/kde-base/kdepim/kdepim-2.2.1-r1.ebuild
@@ -1,9 +1,9 @@
# Copyright 1999-2000 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# Author Dan Armak <danarmak@gentoo.org>
-# $Header: /var/cvsroot/gentoo-x86/kde-base/kdepim/kdepim-2.2.1-r1.ebuild,v 1.1 2001/09/29 12:42:18 danarmak Exp $
+# $Header: /var/cvsroot/gentoo-x86/kde-base/kdepim/kdepim-2.2.1-r1.ebuild,v 1.2 2001/10/01 11:04:22 danarmak Exp $
. /usr/portage/eclass/inherit.eclass || die
-inherit kde-base || die
+inherit kde-dist || die
DESCRIPTION="${DESCRIPTION}PIM"
@@ -12,7 +12,7 @@ DEPEND="$DEPEND >=dev-libs/pilot-link-0.9.0 sys-devel/perl"
RDEPEND="$RDEPEND >=dev-libs/pilot-link-0.9.0"
src_install() {
- kde-base_src_install all
+ kde_src_install all
docinto html
dodoc *.html
}
diff --git a/kde-base/kdesdk/kdesdk-2.2.1-r1.ebuild b/kde-base/kdesdk/kdesdk-2.2.1-r1.ebuild
index 46312d7c2553..e399f84bb18e 100644
--- a/kde-base/kdesdk/kdesdk-2.2.1-r1.ebuild
+++ b/kde-base/kdesdk/kdesdk-2.2.1-r1.ebuild
@@ -1,9 +1,9 @@
# Copyright 1999-2000 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# Author Dan Armak <danarmak@gentoo.org>
-# $Header: /var/cvsroot/gentoo-x86/kde-base/kdesdk/kdesdk-2.2.1-r1.ebuild,v 1.1 2001/09/29 12:42:18 danarmak Exp $
+# $Header: /var/cvsroot/gentoo-x86/kde-base/kdesdk/kdesdk-2.2.1-r1.ebuild,v 1.2 2001/10/01 11:04:22 danarmak Exp $
. /usr/portage/eclass/inherit.eclass || die
-inherit kde-base || die
+inherit kde-dist || die
DESCRIPTION="${DESCRIPTION}SDK"
diff --git a/kde-base/kdetoys/kdetoys-2.2.1-r1.ebuild b/kde-base/kdetoys/kdetoys-2.2.1-r1.ebuild
index 65438a5d7e9a..aaa9ad371dd5 100644
--- a/kde-base/kdetoys/kdetoys-2.2.1-r1.ebuild
+++ b/kde-base/kdetoys/kdetoys-2.2.1-r1.ebuild
@@ -1,8 +1,8 @@
# Copyright 1999-2000 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# Author Dan Armak <danarmak@gentoo.org>
-# $Header: /var/cvsroot/gentoo-x86/kde-base/kdetoys/kdetoys-2.2.1-r1.ebuild,v 1.1 2001/09/29 12:42:18 danarmak Exp $
+# $Header: /var/cvsroot/gentoo-x86/kde-base/kdetoys/kdetoys-2.2.1-r1.ebuild,v 1.2 2001/10/01 11:04:22 danarmak Exp $
. /usr/portage/eclass/inherit.eclass || die
-inherit kde-base || die
+inherit kde-dist || die
DESCRIPTION="${DESCRIPTION}Toys"
diff --git a/kde-base/kdeutils/kdeutils-2.2.1-r1.ebuild b/kde-base/kdeutils/kdeutils-2.2.1-r1.ebuild
index a49f51f12cad..3c8135289776 100644
--- a/kde-base/kdeutils/kdeutils-2.2.1-r1.ebuild
+++ b/kde-base/kdeutils/kdeutils-2.2.1-r1.ebuild
@@ -1,9 +1,9 @@
# Copyright 1999-2000 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# Author Dan Armak <danarmak@gentoo.org>
-# $Header: /var/cvsroot/gentoo-x86/kde-base/kdeutils/kdeutils-2.2.1-r1.ebuild,v 1.1 2001/09/29 12:42:18 danarmak Exp $
+# $Header: /var/cvsroot/gentoo-x86/kde-base/kdeutils/kdeutils-2.2.1-r1.ebuild,v 1.2 2001/10/01 11:04:22 danarmak Exp $
. /usr/portage/eclass/inherit.eclass || die
-inherit kde-base || die
+inherit kde-dist || die
DESCRIPTION="${DESCRIPTION}Utilities"
diff --git a/kde-base/kdoc/kdoc-2.2.1-r1.ebuild b/kde-base/kdoc/kdoc-2.2.1-r1.ebuild
index 77dd80ce7f1a..7fe4f682804b 100644
--- a/kde-base/kdoc/kdoc-2.2.1-r1.ebuild
+++ b/kde-base/kdoc/kdoc-2.2.1-r1.ebuild
@@ -1,9 +1,9 @@
# Copyright 1999-2000 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# Author Dan Armak <danarmak@gentoo.org>
-# $Header: /var/cvsroot/gentoo-x86/kde-base/kdoc/kdoc-2.2.1-r1.ebuild,v 1.1 2001/09/29 12:42:18 danarmak Exp $
+# $Header: /var/cvsroot/gentoo-x86/kde-base/kdoc/kdoc-2.2.1-r1.ebuild,v 1.2 2001/10/01 11:04:22 danarmak Exp $
. /usr/portage/eclass/inherit.eclass || die
-inherit kde-base || die
+inherit kde-dist || die
DESCRIPTION="${DESCRIPTION}Documentation tools"